
QGIS Application - Bug report #6258

browser does not add spatialite db to list of connections after creating new db

2012-08-27 12:39 PM - Etienne Tourigny

Status: Closed

Priority: Low

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15564

Description

1) create new spatialite db by clicking on "Create database..." 

2) look for new DB in browser list, it's not there

3) add said DB by clicking on "New connection..."

I would expect the new DB to be added to layer list automatically.  If this happens with other providers, it would be nice to fix for others as

well.

Subtasks:

Bug report # 9994: Creating SpatiaLite DBs from Browser Closed

Associated revisions

Revision ef31ccc4 - 2014-06-22 12:01 AM - Jürgen Fischer

browser: fix update after spatialite database creation (fixes #6258)

History

#1 - 2012-08-27 01:13 PM - Etienne Tourigny

I added this to the DB Manager, although I was using the Browser, not sure if the code is shared?

#2 - 2012-08-28 03:08 PM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

- Target version set to Version 2.0.0

#3 - 2012-11-28 01:15 PM - Giuseppe Sucameli

- Subject changed from db manager does not add spatialite db to list of connections after creating new db to browser does not add spatialite db to list of 

connections after creating new db

- Assignee deleted (Giuseppe Sucameli)

- Category changed from DB Manager to Browser

1) create new spatialite db by clicking on "Create database..."

Where "Create database" button is???

Further information are needed in order to reproduce the issue.
I added this to the DB Manager, although I was using the Browser, not sure if the code is shared?

Few features are shared between DBManager and the QGis browser, i.e. the import vector feature, though the next step in the DBManager development is

to use the browser tree.

#4 - 2012-11-29 04:59 AM - Etienne Tourigny

Giuseppe Sucameli wrote:

1) create new spatialite db by clicking on "Create database..."

Where "Create database" button is???

Further information are needed in order to reproduce the issue.

In the browser, right-click on SpatiaLite item, click on "Create database...". 

Select a new spatialite file to create, get confirmation pop-up. 

The file is on disk, but not loaded in the browser, you have to add it manually.

I added this to the DB Manager, although I was using the Browser, not sure if the code is shared?

Few features are shared between DBManager and the QGis browser, i.e. the import vector feature, though the next step in the DBManager

development is to use the browser tree.

I understand now, no link between the 2.

thanks

#5 - 2014-06-21 03:02 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"ef31ccc4ebd299f334cf8258e0fe9b9f88844b08".
